# Uses of Interface
org.opensaml.xacml.profile.saml.ReferencedPoliciesType

Packages that use ReferencedPoliciesType
Package
Description
org.opensaml.xacml.profile.saml
XMLObject interfaces for SAML XACML profile.
org.opensaml.xacml.profile.saml.impl
XMLObject implementation classes for XACML SAML profile.

## Uses of ReferencedPoliciesType in org.opensaml.xacml.profile.saml

Methods in org.opensaml.xacml.profile.saml that return ReferencedPoliciesType
Modifier and Type
Method
Description
`ReferencedPoliciesType`
XACMLAuthzDecisionQueryType.`getReferencedPolicies()`
Gets the reference to the policies to be used while rendering a decision.
`ReferencedPoliciesType`
XACMLPolicyStatementType.`getReferencedPolicies()`
Gets the referenced policies.
Methods in org.opensaml.xacml.profile.saml with parameters of type ReferencedPoliciesType
Modifier and Type
Method
Description
`void`
XACMLAuthzDecisionQueryType.`setReferencedPolicies(ReferencedPoliciesType policies)`
Sets the reference to the policies to be used while rendering a decision.
`void`
XACMLPolicyStatementType.`setReferencedPolicies(ReferencedPoliciesType policies)`
Sets the referenced policies.

## Uses of ReferencedPoliciesType in org.opensaml.xacml.profile.saml.impl

Classes in org.opensaml.xacml.profile.saml.impl that implement ReferencedPoliciesType
Modifier and Type
Class
Description
`class`
`ReferencedPoliciesTypeImpl`
Implementation of `ReferencedPoliciesType`.
Fields in org.opensaml.xacml.profile.saml.impl declared as ReferencedPoliciesType
Modifier and Type
Field
Description
`private ReferencedPoliciesType`
XACMLAuthzDecisionQueryTypeImpl.`referencedPolicies`
ReeferencedPolicies child.
`private ReferencedPoliciesType`
XACMLPolicyStatementTypeImpl.`referencedPolicies`
ReferencedPolicie child.
Methods in org.opensaml.xacml.profile.saml.impl that return ReferencedPoliciesType
Modifier and Type
Method
Description
`ReferencedPoliciesType`
ReferencedPoliciesTypeImplBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`ReferencedPoliciesType`
ReferencedPoliciesTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`ReferencedPoliciesType`
XACMLAuthzDecisionQueryTypeImpl.`getReferencedPolicies()`
Gets the reference to the policies to be used while rendering a decision.
`ReferencedPoliciesType`
XACMLPolicyStatementTypeImpl.`getReferencedPolicies()`
Gets the referenced policies.
Methods in org.opensaml.xacml.profile.saml.impl with parameters of type ReferencedPoliciesType
Modifier and Type
Method
Description
`void`
XACMLAuthzDecisionQueryTypeImpl.`setReferencedPolicies(ReferencedPoliciesType pols)`
Sets the reference to the policies to be used while rendering a decision.
`void`
XACMLPolicyStatementTypeImpl.`setReferencedPolicies(ReferencedPoliciesType policies)`
Sets the referenced policies.